tigase.jaxmpp.j2se.connectors.socket

## Class SocketConnector.Entry

- java.lang.Object
- - tigase.jaxmpp.j2se.connectors.socket.SocketConnector.Entry

- Enclosing class:
    SocketConnector

      public static final class SocketConnector.Entry
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry(String host, Integer port)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getHostname()`
    `Integer` | `getPort()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Entry

          public Entry(String host,
                       Integer port)

  - ### Method Detail

    - #### getHostname

          public String getHostname()

    - #### getPort

          public Integer getPort()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2020 Tigase. All rights reserved.